RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2062356 - rebase chrony to 4.2
Summary: rebase chrony to 4.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2022-08-01
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: chrony
Version: 8.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Ondrej Mejzlik
Šárka Jana
URL:
Whiteboard:
Depends On: 2064790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-09 15:54 UTC by Miroslav Lichvar
Modified: 2022-11-08 12:50 UTC (History)
1 user (show)

Fixed In Version: chrony-4.2-1.el8
Doc Type: Enhancement
Doc Text:
.`chrony` rebased to version 4.2 The `chrony` suite has been updated to version 4.2. Notable enhancements over version 4.1 include: * The server interleaved mode has been improved to be more reliable and support multiple clients behind a single address translator (Network Address Translation - NAT). * Experimental support for the Network Time Protocol Version 4 (NTPv4) extension field has been added to improve time synchronization stability and precision of estimated errors. You can enable this field, which extends the capabilities of the protocol NTPv4, by using the `extfield F323` option. * Experimental support for NTP forwarding over the Precision Time Protocol (PTP) has been added to enable full hardware timestamping on Network Interface Cards (NIC) that have timestamping limited to PTP packets. You can enable NTP over PTP by using the `ptpport 319` directive.
Clone Of:
Environment:
Last Closed: 2022-11-08 10:54:48 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-115045 0 None None None 2022-03-09 16:00:25 UTC
Red Hat Product Errata RHBA-2022:7784 0 None None None 2022-11-08 10:54:54 UTC

Description Miroslav Lichvar 2022-03-09 15:54:49 UTC
Description of problem:
This is a request to rebase chrony to the latest upstream release, currently 4.2.

It has a number of improvements and also some bug fixes:
https://chrony.tuxfamily.org/news.html_16_dec_2021_chrony_4_2_released

Comment 12 errata-xmlrpc 2022-11-08 10:54:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (chrony bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:7784


Note You need to log in before you can comment on or make changes to this bug.